/*
Theme Name: Boldnote Child
Theme URI: https://boldnote.qodeinteractive.com
Description: A child theme of Boldnote
Author: Edge Themes
Author URI: https://qodeinteractive.com
Version: 1.0
Text Domain: boldnote
Template: boldnote
*/

/* FUENTES */
@font-face {
  font-family: 'Neue Montreal';
  src: url('https://oharquitectura.com/wp-content/uploads/2025/12/NeueMontreal-Regular.otf') format('opentype');
}

@font-face {
  font-family: 'Geist';
  src: url('https://oharquitectura.com/wp-content/uploads/2025/12/Geist-VariableFont_wght.ttf') format('truetype');
}


/* Header */
header:not(#qodef-page-mobile-header) > div{
	margin: 0px;
	width: 100%;
    padding: 0 50px!important;
}

header .qodef-m-icon > svg{
	transform: rotate(0deg);
}

header > #qodef-page-header-inner{
	border: 0px solid transparent!important;
}

/* Footer */
footer > div{
	background: inherit!important;
}

.qodef-grid.qodef-responsive--custom.qodef-layout--template > div{
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	grid-template-rows: 1fr;
	gap: 20px;
}
	
.qodef-grid.qodef-responsive--custom.qodef-layout--template > div::before{
	content: none;
}

.qodef-grid.qodef-responsive--custom.qodef-layout--template > div > div{
	width: 100%!important;
}

.qodef-grid.qodef-responsive--custom.qodef-layout--template > div > div:nth-child(2) > div{
	margin: 0!important;
}
	
.qodef-grid.qodef-responsive--custom.qodef-layout--template > div > div:nth-child(2) figure{
	justify-content: flex-end;
}


.rab-logo-footer{
	display: none;
}

.rab-logo-footer-black{
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    margin-right: 80px;
}

.qodef-custom-footer-style{
	text-transform: none!important;
}

@media only screen and (max-width: 1440px){
	.qodef-grid.qodef-responsive--custom.qodef-layout--template > div{
		grid-template-columns: 1fr 1fr;
		grid-template-rows: 1fr 1fr;
		gap: 40px;
	}
}

@media only screen and (max-width: 767px){
	.qodef-grid.qodef-responsive--custom.qodef-layout--template > div{
		grid-template-columns: 1fr;
		grid-template-rows: 1fr 1fr 1fr;
		gap: 40px;
	}
	
	.qodef-grid.qodef-responsive--custom.qodef-layout--template > div > div:nth-child(2) figure{
		justify-content: flex-start;
	}
}

/* General */
p{
  font-family: 'Geist'!important;
  margin: 0px!important;
}

h1, h2{	
  font-family: 'Geist'!important;
}

h2{
	text-transform: none!important;
}

.rab-cuadrado{
  aspect-ratio:1!important;
}

.qodef-e-title-svg > svg, .qodef-m-icon > svg{
	transform: rotate(45deg);
}

body:not(:has(#qodef-page-outer #home)) #qodef-back-to-top.qodef-light > span {
	color:black!important;
}

/* Separadores postcards */
.qodef-info-separator-end::after{
	content: " | "!important;
}

/* Migas de pan */
@media only screen and (min-width: 1025px){
	.qodef-breadcrumbs{
		position: absolute;
		top: 110px!important
	}
}


/* Líneas laterales */
.rab-grid-lineas.e-con.e-grid>.e-con-inner{
    grid-template-rows: 0.85fr 1.3fr 0.85fr!important;
    grid-template-columns: 0.5fr 2fr 0.5fr !important;
}

.rab-grid-lineas-2-col.e-con.e-grid>.e-con-inner{
    grid-template-columns: 1fr 1fr 1fr 1fr!important;
}

@media only screen and (max-width: 1024px){
  	.rab-grid-lineas.e-con.e-grid>.e-con-inner{
		grid-template-rows: 30% 1fr 30% !important;
    	grid-template-columns: 20% 1fr 20% !important;
	}
	.rab-grid-lineas-2-col.e-con.e-grid>.e-con-inner{
		grid-template-columns: 1fr 1fr!important;
	}
}

@media only screen and (max-width: 767px){
	.rab-grid-lineas.e-con.e-grid>.e-con-inner{
	    grid-template-rows: 20% 1fr 20% !important;
        grid-template-columns: 10% 1fr 10% !important;
	}
	.rab-grid-lineas-2-col.e-con.e-grid>.e-con-inner{
		grid-template-rows: 150px 1fr 150px 1fr 150px!important;
		grid-template-columns: auto;
	}
	.rab-grid-lineas-2-col.e-con.e-grid>.e-con-inner{
		grid-template-columns: 1fr 1fr!important;
	}
}

/* Títulos */
.qodef-page-title > div{
	background: #d9d9d9;	
}

.qodef-title-underlines{
	display: none!important;
}

.entry-title{
	text-transform: lowercase!important;
	border-bottom: 1px solid black!important;
	padding-bottom: 40px;
}

.entry-title::first-letter{
	text-transform: uppercase!important;
}

/* Cuadrado amarillo con círculo transparente */
.rab-fondo-cuadrado-amarillo{
  -webkit-mask: radial-gradient(circle at center, transparent 66%, black 67%);
  mask: radial-gradient(circle at center, transparent 66%, black 67%);
}

/* Postcard Home */
#home article.rab-mascara-h .qodef-e-inner > :not(.qodef--is-circle) + div.qodef-e-content + a.qodef-e-post-link::after{
    content: '';
    width: 50%;
    height: 100%;
    display: block;
    background: black;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
	border: 0px solid black;
	transition: width .2s ease-out;
}

#home article .qodef-e-inner:not(:has(> div.qodef--is-circle)){
	margin: 17%!important;
    max-width: 450px !important;
}

#home .qodef--is-circle > img{
	aspect-ratio: 1;
}

#home article{
	aspect-ratio: 1;
    display: flex !important;
    justify-content: center;
    align-items: center;
	border-right: 1px solid white;
    border-bottom: 1px solid white;
}

#home .qodef-e-title-text{
	display: none!important;
}

.qodef-portfolio-list .qodef-e-inner {
    position: relative;
}

.qodef-portfolio-list .qodef-e-top-left-info-js {
    position: absolute;
    top: 26px;
    left: 35px;
    z-index: 5;
    color: #fff;
    font-size: 14px;
	font-family: 'Geist';
	display: flex;
}

.qodef-portfolio-list .qodef-e-top-left-info-js .qodef-e-title {
    display: block;
    font-weight: 600;
	text-transform: uppercase;
}

.qodef-portfolio-list .qodef-e-top-left-info-js .qodef-e-title {
    display: block;
    font-weight: 600;
	padding: 0 0px 0 0;
}

.qodef-portfolio-list .qodef-e-top-left-info-js .qodef-e-separator {
	padding: 0 20px;
}

.qodef-portfolio-list .qodef-e-top-left-info-js .qodef-e-location {
    display: block;
    font-weight: 600;
	text-transform: uppercase;
}

.qodef-portfolio-list.qodef-item-layout--info-on-hover article .qodef-e-content{
	background-color: #DEFF66;
	transition:  opacity .0s ease-out!important;
}

#home .qodef-e-top-holder, #home .qodef-e-text{
	display: none;
}

/* Postcard proyectos */
#proyectos .qodef-portfolio-list.qodef-item-layout--info-on-hover article .qodef-e-content{
	background: transparent !important;
    width: fit-content;
    right: 0 !important;
	left: auto!important;
}

#proyectos .entry-title{
	border-bottom: 0px solid black!important;
	padding-bottom: 0!important;
}

#proyectos .qodef-portfolio-list.qodef-item-layout--info-on-hover article .qodef-e-content{
	background-color: #00000069!important;
	width: 100%!important;
}

#proyectos article {
    aspect-ratio: 16 / 9 !important;
    height: auto !important;
}

#proyectos .qodef-e-top-left-info-js{
	display: none!important;
}

/* Entrada simple */
.rab-content p:has(>img){
	margin: 40px 0!important;
	text-align: center!important;
}

.rab-content p{
	margin-bottom: 10px!important;
}

.qodef-layout--images-big .qodef-page-title .qodef-m-content{
	padding-top: 107px;
}

.qodef-layout--images-big footer > div{
	background-color: #d9d9d9!important;
}


.qodef-layout--images-big #qodef-page-footer-top-area-inner{
	border-top-color: black!important;
}

.qodef-layout--images-big footer > div{
	& h2, h6, p, a{
		color: black!important;
	}
}

.qodef-layout--images-big #featured-image{
	width: 100vw;
    margin-left: calc(-50vw + 50%);
    position: relative;
    left: 0;
}

.qodef-layout--images-big div:has( > .rab-lineas)::before{
	background-color: transparent!important;
}

.qodef-layout--images-big a[itemprop="image"]{
    width: fit-content;
    margin: 0 auto;
}

.qodef-layout--images-big .rab-grid-inner {
	display: flex;
	gap: 10%;
}

.qodef-layout--images-big .entry-title{
	border-bottom: 0px solid transparent!important;
	padding: 0px!important;
	margin-bottom: 40px!important;
}


.qodef-layout--images-big .rab-portfolio-info{
	margin-top: 0!important;
	display: flex!important;
    flex-direction: column;
	min-height: 300px!important;
}

.qodef-layout--images-big .rab-portfolio-info .rab-lineas{
	height: 20px;
	border-left: 1px solid black;
	border-right: 1px solid black;
}

.qodef-layout--images-big .rab-portfolio-info .rab-info-container{
	display: flex!important;
	flex-direction: column;
	margin: auto;
    width: fit-content;
}

.qodef-layout--images-big .rab-portfolio-info [class *= "qodef-info--"]{
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    gap: 10px;
}

.qodef-layout--images-big .rab-portfolio-info [class *= "qodef-info--"] h4{
    margin: 0;
}

.qodef-layout--images-big #featured-image > div{
	overflow: hidden;
	max-height: 810px;
}

.qodef-layout--images-big #featured-image img{
	width: 100%;
    height: 100%;
    object-fit: cover;
}

.qodef-m-nav > span{
	font-size: 40px!important;
}

#qodef-single-portfolio-navigation .qodef-m-nav.qodef--next:before,#qodef-single-portfolio-navigation .qodef-m-nav.qodef--prev:before {
	bottom: -12px!important;
}

#qodef-single-portfolio-navigation .qodef-m-nav.qodef--next:after, #qodef-single-portfolio-navigation .qodef-m-nav.qodef--prev:after {
	content: '';
    background-image: url(https://oharquitectura.com/wp-content/uploads/2026/02/flecha.png);
    position: absolute;
    height: 60px;
	background-size: 60px;
    background-repeat: no-repeat;
    background-position-y: center;
}

@media only screen and (max-width: 800px){
	#qodef-single-portfolio-navigation .qodef-m-nav.qodef--next:after, #qodef-single-portfolio-navigation .qodef-m-nav.qodef--prev:after {
		background-size: 30px;
	}
}

#qodef-single-portfolio-navigation .qodef-m-nav.qodef--next:hover:after{
	right: -66%;
	width: 70px;
	transition: all .3s ease-in;
}

#qodef-single-portfolio-navigation .qodef-m-nav.qodef--prev:hover:after {
	left: -68%;
	width: 70px;
	transition: all .3s ease-in;
}

#qodef-single-portfolio-navigation .qodef-m-nav.qodef--next:after{
    right: 0%;
    width: 0px;
	transition: all .3s ease-out;
}

#qodef-single-portfolio-navigation .qodef-m-nav.qodef--prev:after {
    transform: rotate(180deg);
    left: 0%;
    width: 0px;
	transition: all .3s ease-out;
}

.qodef--back-link{
	display: none!important;
}

@media only screen and (max-width: 1440px){
	.qodef-layout--images-big .rab-grid-inner {
		flex-direction: column;
	}
	
	.qodef-layout--images-big .rab-grid-inner > div{
		width: 100%!important;
	}
	
	.qodef-layout--images-big .rab-portfolio-info{
		margin-top: 40px!important;
	}
}
/* Nosotros */

.qodef-content-grid-1500 section#equipo > .elementor-container{
	width: 100%!important;
	max-width: 100vw!important;
	margin: 0!important;
}

.qodef-content-grid-1500 section#equipo > .elementor-container img{
	width: 100%;
}

.rab-lkd{
	height: 24px!important;
}

/* Entradas */
.qodef-portfolio-single.qodef-has--border-radius .qodef-media .qodef-grid-item:first-child img{
    border-top-right-radius: 0px!important;
}

.postcard-ig a{
	text-transform: uppercase!important;
}

#qodef-single-portfolio-navigation:before{
	content: none!important;
}

/* Formulario */

.rab-formulario input, .rab-formulario textarea{
	border: 0 solid black!important;
	border-bottom: 1px solid black!important;
}

.rab-formulario textarea{
	resize: none;
}

input[type="checkbox"] {
	opacity: 0;
}
span:has(> label > input[type="checkbox"]){
   margin-left: 0;	
}
label:has(> input[type="checkbox"]) {
	cursor: pointer;
}

label:has(> input[type="checkbox"])::before {
    content: '';
    border: 1px solid black;
    height: 15px;
    width: 15px;
    display: flex;
    opacity: 1;
    position: absolute;
    left: 11px;
    top: 2px;
    transform: translate(-50%);
	border-radius: 0;
}

label:has(> input[type="checkbox"]:checked)::before{
	background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 100%);
    padding: 1px;
    background-size: 12px;
    content: "\2714";
    color: white;
    font-size: 10px;
    justify-content: center;
    align-items: center;
}

.rab-formulario button{
	padding: 12px 20px;
	border-radius: 0px;
}